name: parlera
description: A party game where your friends describe and you guess; or vice versa

publish_to: "none"

version: 3.0.5+12

environment:
  sdk: ">=2.18.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  intl: ^0.18.0

  shared_preferences: ^2.1.2
  url_launcher: ^6.1.10
  emoji_picker_flutter: ^1.6.1
  share_plus: ^7.0.2

  flutter_bounceable: ^1.1.0
  molten_navigationbar_flutter: ^1.0.1
  shimmer_animation: ^2.1.0+1
  confetti: ^0.7.0
  flutter_staggered_animations: ^1.1.1
  
  package_info_plus: ^4.0.2
  scoped_model: ^2.0.0-nullsafety.0
  sensors_plus: ^3.0.2
  audioplayers: 3.0.1 #TODO test on ARM Linux
  vibration: ^1.8.1
  wakelock: ^0.6.1
  flutter_device_type: ^0.4.0
  path_provider: ^2.0.12
  cross_file: ^0.3.3
  animated_toggle_switch: ^0.7.0
  smooth_page_indicator: ^1.0.1
  palette_generator: ^0.3.3
  sembast: ^3.4.9
  flutter_svg: ^1.1.6
  flutter_svg_provider: ^1.0.3
  file_picker: ^5.3.2
  path: ^1.8.2
  xdg_directories: ^1.0.0
  flutter_localized_locales: ^2.0.4
  l10n_esperanto: ^2.0.5

dependency_overrides:
  intl: 0.18.0
  win32: ^5.0.2
  # TODO CAMERA: Make it work and work well
  # camera: ^0.9.4
  # permission_handler: ^8.3.0
  # carousel_slider: ^4.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.1

flutter:
  uses-material-design: true
  generate: true

  assets:
    - assets/data/
    - assets/images/
    - assets/images/tutorial/
    - assets/audio/
    - assets/emoji/

  fonts:
    - family: NotoEmoji
      fonts:
      - asset: assets/fonts/NotoEmoji-Regular.ttf
    - family: MontserratAlternates
      fonts:
        - asset: assets/fonts/MontserratAlternates-Medium.ttf
        - asset: assets/fonts/MontserratAlternates-Bold.ttf
          weight: 700